#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int N, M, i, j, broj=1;
    scanf("%lld %lld", &N, &M);
    long long int a[N][M];
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
        {
            a[i][j]=broj;
            broj++;
        }
    }
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
        {
            if(a[i][j]%2!=0 && i!=0 && j!=0 && i!=N-1 && j!=M-1)
                --broj;
        }
    }
    broj=broj-1;
    printf("%lld", broj);
}